DevPortalPagoPA




Table of contents

Manage Service: Get

Description

This API makes it possible to retrieve all the information related to a service. To function correctly, it requires entering the service_id as the path parameter.

Examples

1### REQUEST
2curl --location --request GET 'https://api.io.pagopa.it/api/v1/manage/services/SERVICE_ID' \
3--header 'Ocp-Apim-Subscription-Key: __YOUR_API_KEY__'
4
1### RESPONSE
2{
3  "id": "SERVICE_ID",
4  "status": {
5    "value": "draft",
6    "reason": "string"
7  },
8  "last_update": "2018-10-13T00:00:00.000Z",
9  "name": "string",
10  "description": "string",
11  "organization": {
12    "name": "string",
13    "fiscal_code": "12345678901",
14    "department_name": "string"
15  },
16  "require_secure_channel": false,
17  "authorized_recipients": [
18    "SPNDNL80R13C555X"
19  ],
20  "authorized_cidrs": [
21    "253.710.225.667/5"
22  ],
23  "max_allowed_payment_amount": 0,
24  "metadata": {
25    "web_url": "string",
26    "app_ios": "string",
27    "app_android": "string",
28    "tos_url": "string",
29    "privacy_url": "string",
30    "address": "string",
31    "phone": "string",
32    "email": "string",
33    "pec": "string",
34    "cta": "string",
35    "token_name": "string",
36    "support_url": "string",
37    "scope": "LOCAL",
38    "topic": {
39      "id": 3,
40      "name": "Social welfare"
41    }
42  }
43}
44

Useful resources

Haven't completed onboarding yet and need help?

Write an email describing your problem or question to the address areariservata@assistenza.pagopa.it.

Need help with APIs and Integration?

Write an email describing your problem or question to the address:

io-service-management@pagopa.it

Tell us what you think

To report problems or give feedback, leave a comment in the GitHub space of the IO app